use anyhow::Result;

static INPUT: &str = include_str!("../../input01");

fn main() -> Result<()> {
    let nums: Vec<i64> = INPUT
        .lines()
        .map(|line| line.parse::<i64>().expect("input is not a number"))
        .collect();

    'outer2: for a in nums.iter() {
        for b in nums.iter() {
            if a + b == 2020 {
                println!("{} + {} = 2020", a, b);
                println!("product: {}", a * b);
                break 'outer2;
            }
        }
    }
    'outer3: for a in nums.iter() {
        for b in nums.iter() {
            for c in nums.iter() {
                if a + b + c == 2020 {
                    println!("{} + {} + {} = 2020", a, b, c);
                    println!("product: {}", a * b * c);
                    break 'outer3;
                }
            }
        }
    }
    Ok(())
}
